# Interface IGroupByResult

A result for a IGroupByRequest.

This is typically what the Facet component will use to render themselves.

## Index

### Properties

- field
- globalComputedFieldResults
- values

## Properties

### field

field: string

- Defined in rest/GroupByResult.ts :12

The field on which the group by was performed.

### Optional globalComputedFieldResults

globalComputedFieldResults: number[]

- Defined in rest/GroupByResult.ts :20

Available if there was any computed field request.

### values

values: IGroupByValue[]

- Defined in rest/GroupByResult.ts :16

The differents values for this result

### Hierarchy

- IGroupByResult